Bug 245246 - databases/postgresql11-contrib: Add python support
Summary: databases/postgresql11-contrib: Add python support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: pgsql
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-01 18:15 UTC by Loïc Bartoletti
Modified: 2020-05-21 08:18 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
postgresql11-contrib with python (3.70 KB, patch)
2020-04-01 18:15 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-04-01 18:15:03 UTC
Created attachment 212942 [details]
postgresql11-contrib with python

databases/postgresql11-contrib: Add python support

 * Add python option
 * Fix stripping

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/HEAD, i386/amd64 tested with/wo PYTHON option)


Only for databases/postgresql11 for now. If you're OK with this change I'll apply too on other versions.
Comment 1 andrew 2020-04-30 06:40:49 UTC
In my opinion this belongs in the -plpython port rather than the -contrib port.
Comment 2 Palle Girgensohn freebsd_committer 2020-05-17 20:25:50 UTC
Aggreeing with Andres, I'm introducing this addition, but I'm moving it to the plpython ports.
Comment 3 commit-hook freebsd_committer 2020-05-17 20:37:16 UTC
A commit references this bug:

Author: girgen
Date: Sun May 17 20:37:12 UTC 2020
New revision: 535676
URL: https://svnweb.freebsd.org/changeset/ports/535676

Log:
  The PostgreSQL Global Development Group has released an update to all
  supported versions of our database system, including 12.3, 11.8, 10.13,
  9.6.18, and 9.5.22.  This release fixes one security issue found in the
  PostgreSQL server and over 75 bugs reported over the last three months.

  Please plan to update at your earliest convenience.

  Update the backup warning text. [1]

  Add plpython and plperl libs for hstore, jsonb and ltree for the versions where
  they exist. These libs are added to the postgresql??-plpython and -plperl
  ports, inspired by [2].

  PR:		237910 [1], 245246 [2]
  Submitted by:	Francesco [1], Lo?c Bartoletti [2]

Changes:
  head/databases/postgresql10-plperl/Makefile
  head/databases/postgresql10-plpython/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql10-server/distinfo
  head/databases/postgresql10-server/pkg-plist-plperl
  head/databases/postgresql10-server/pkg-plist-plpython
  head/databases/postgresql10-server/pkg-plist-server
  head/databases/postgresql11-server/Makefile
  head/databases/postgresql11-server/distinfo
  head/databases/postgresql11-server/pkg-plist-plperl
  head/databases/postgresql11-server/pkg-plist-plpython
  head/databases/postgresql11-server/pkg-plist-server
  head/databases/postgresql12-plperl/Makefile
  head/databases/postgresql12-plpython/Makefile
  head/databases/postgresql12-server/Makefile
  head/databases/postgresql12-server/distinfo
  head/databases/postgresql12-server/pkg-install-server
  head/databases/postgresql12-server/pkg-plist-client
  head/databases/postgresql12-server/pkg-plist-plperl
  head/databases/postgresql12-server/pkg-plist-plpython
  head/databases/postgresql12-server/pkg-plist-server
  head/databases/postgresql94-plpython/Makefile
  head/databases/postgresql95-plperl/Makefile
  head/databases/postgresql95-plpython/Makefile
  head/databases/postgresql95-server/Makefile
  head/databases/postgresql95-server/distinfo
  head/databases/postgresql95-server/pkg-plist-plperl
  head/databases/postgresql95-server/pkg-plist-plpython
  head/databases/postgresql95-server/pkg-plist-server
  head/databases/postgresql96-plperl/Makefile
  head/databases/postgresql96-plpython/Makefile
  head/databases/postgresql96-server/Makefile
  head/databases/postgresql96-server/distinfo
  head/databases/postgresql96-server/pkg-plist-plperl
  head/databases/postgresql96-server/pkg-plist-plpython
  head/databases/postgresql96-server/pkg-plist-server
Comment 4 Palle Girgensohn freebsd_committer 2020-05-17 20:39:51 UTC
Committed in the plpython ports. Thanks!
Comment 5 Loïc Bartoletti freebsd_committer 2020-05-21 08:18:15 UTC
(In reply to Palle Girgensohn from comment #2)

Thank you!